Bug 1877001 - Suggested backport: avoid excessive volume warnings in logs
Summary: Suggested backport: avoid excessive volume warnings in logs
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.6.0
Assignee: Jan Safranek
QA Contact: Qin Ping
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-08 16:57 UTC by Elana Hashman
Modified: 2020-09-21 21:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift kubernetes pull 344 None closed Bug 1877001: UPSTREAM: 92878: cleanup: print warning message only if the function does not finish within 30 seconds 2020-09-21 21:10:33 UTC

Description Elana Hashman 2020-09-08 16:57:25 UTC
This went into upstream Kubernetes but I understand from https://issues.redhat.com/browse/OCPPLAN-4276 that we are not proactively taking upstream backports/patch release fixes.

I have seen this spamming kubelet logs on a number of 4.4.x OCP clusters in production so if it's easy to take the backport I'd suggest integrating it: https://github.com/kubernetes/kubernetes/pull/94432

It will prevent the logs from being spammed with the message "Setting volume ownership for %s and fsGroup set. If the volume has a lot of files then setting volume ownership could be slow, see https://github.com/kubernetes/kubernetes/issues/69699" across many volumes; the log entry will only land if it takes >30s.

Comment 5 Qin Ping 2020-09-15 07:17:39 UTC
Verified with: 4.6.0-0.nightly-2020-09-14-221526


Note You need to log in before you can comment on or make changes to this bug.